<EntityClassDefinition.ANVL_Ballista_SCItem_Dashboard_Driver __id="251739b0-8bf7-4e87-86c2-e57ad3dd1bdb" __path="libs/foundry/records/entities/scitem/vehicles/dashboard/anvl_ballista_scitem_dashboard_driver.xml" __type="EntityClassDefinition" BBoxSelection="0" Category="Default" entityDensityClass="00000000-0000-0000-0000-000000000000" Icon="Default.bmp" Invisible="0">
  <Components>
    <SAttachableComponentParams __type="DataForgeComponentParams" __polymorphicType="SAttachableComponentParams" attachToTileItemPort="NoConnection" entityAttachParams="None">
      <AttachDef __type="SItemDefinition" DisplayType="" Grade="1" inheritParentManufacturer="0" inventoryOccupancyDimensionsUIOverride="None" Manufacturer="b922abdb-0634-4358-9eee-60118f3cf3a7" RequiredTags="" Size="1" SubType="UNDEFINED" Tags="" Type="SeatDashboard">
        <inventoryOccupancyDimensions __type="Vec3" x="0.15000000596046448" y="0.15000000596046448" z="0.15000000596046448" />
        <inventoryOccupancyVolume __type="SBaseCargoUnit" __polymorphicType="SMicroCargoUnit" microSCU="1" />
        <Localization __type="SCItemLocalization" Description="@LOC_EMPTY" Name="@LOC_PLACEHOLDER" ShortName="@LOC_EMPTY">
          <displayFeatures __type="SCExtendedLocalizationLevelParams" Callout1="@LOC_EMPTY" Callout2="@LOC_EMPTY" Callout3="@LOC_EMPTY" FrontendBackground="" History="@LOC_EMPTY" LogoSimplifiedWhite="" UIPriority="0">
            <locationAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
            <locationAudioStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </displayFeatures>
        </Localization>
        <mannequinTags __type="SCItemMannequinTags" mannequinBaseTag="" mannequinClassTag="" mannequinTypeTag="" />
      </AttachDef>
    </SAttachableComponentParams>
    <SEntityInteractableParams __type="DataForgeComponentParams" __polymorphicType="SEntityInteractableParams">
      <Interactable __type="SInteractableParams" menuTitle="None">
        <actionHandlerTasks />
        <InteractionPoints>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Power" longRangeIP="0" MaxCursorScreenDistance="0.10000000149011612" OnlySelectableInLookDir="0" Radius="5.0" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="FixedRotation" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors>
              <SHighlightBehaviorNode __type="SHighlightBehaviorNode">
                <HighlightBehaviorNodeParams __type="SHighlightBehaviorNodeParams" __polymorphicType="SBonesHighlightNode">
                  <boneNames>Button_power_mesh</boneNames>
                </HighlightBehaviorNodeParams>
                <nextNodes />
              </SHighlightBehaviorNode>
            </HighlightBehaviors>
            <Interactions>
              <SInteractionParams __type="SInteractionParams" DisplayName="@LOC_EMPTY" IsPrimary="0">
                <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_engage_systems" DisplayType="Show" FocusModeOnly="0" GenericCursor="MultiAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="1" Name="FlightReady" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                  <QueryTags />
                </Interaction>
              </SInteractionParams>
            </Interactions>
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="30.0" y="0.0" z="180.0" />
            </Offset>
          </SInteractionPointParams>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Engines" longRangeIP="0" MaxCursorScreenDistance="0.10000000149011612" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="FixedRotation" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors>
              <SHighlightBehaviorNode __type="SHighlightBehaviorNode">
                <HighlightBehaviorNodeParams __type="SHighlightBehaviorNodeParams" __polymorphicType="SBonesHighlightNode">
                  <boneNames>Button_engine_mesh</boneNames>
                </HighlightBehaviorNodeParams>
                <nextNodes />
              </SHighlightBehaviorNode>
            </HighlightBehaviors>
            <Interactions />
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="30.0" y="0.0" z="180.0" />
            </Offset>
          </SInteractionPointParams>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Exit" longRangeIP="0" MaxCursorScreenDistance="0.10000000149011612" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="FixedRotation" TextScale="1.0" UseHelperLocation="1" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors />
            <Interactions />
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="130.0" />
            </Offset>
          </SInteractionPointParams>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Door" longRangeIP="0" MaxCursorScreenDistance="0.10000000149011612" OnlySelectableInLookDir="0" Radius="5.0" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="FixedRotation" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors>
              <SHighlightBehaviorNode __type="SHighlightBehaviorNode">
                <HighlightBehaviorNodeParams __type="SHighlightBehaviorNodeParams" __polymorphicType="SBonesHighlightNode">
                  <boneNames>Button_door_mesh</boneNames>
                </HighlightBehaviorNodeParams>
                <nextNodes />
              </SHighlightBehaviorNode>
            </HighlightBehaviors>
            <Interactions />
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.05000000074505806" />
              <Rotation __type="Ang3" x="25.0" y="0.0" z="-130.0" />
            </Offset>
          </SInteractionPointParams>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Remote_Turret" longRangeIP="0" MaxCursorScreenDistance="0.10000000149011612" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="FixedRotation" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors>
              <SHighlightBehaviorNode __type="SHighlightBehaviorNode">
                <HighlightBehaviorNodeParams __type="SHighlightBehaviorNodeParams" __polymorphicType="SBonesHighlightNode">
                  <boneNames>Button_turret_mesh</boneNames>
                </HighlightBehaviorNodeParams>
                <nextNodes />
              </SHighlightBehaviorNode>
            </HighlightBehaviors>
            <Interactions />
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="25.0" y="0.0" z="130.0" />
            </Offset>
          </SInteractionPointParams>
        </InteractionPoints>
        <interactionTasks />
        <itemActionTasks />
        <SharedInteractions>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_engage_systems" DisplayType="Show" FocusModeOnly="0" GenericCursor="MultiAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="1" Name="FlightReady" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_deploy_missile" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="1" Name="OpenMissiles" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_retract_missile" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="1" Name="CloseMissiles" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
        </SharedInteractions>
      </Interactable>
    </SEntityInteractableParams>
    <SCItemSeatDashboardParams __type="DataForgeComponentParams" __polymorphicType="SCItemSeatDashboardParams" PowerOnline="1">
      <consumableInteractions __type="SDashboardConsumableInteractionParams" consumableIP="None" />
      <dashboardInteractions __type="SDashboardInteractionParams" atcCloseDoorsInteraction="None" atcOpenDoorsInteraction="None" ejectCargo="None" hasSimpleStartupSequence="1" powerOff="None" powerOn="None" saveQuitInteraction="None">
        <flightReady __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_engage_systems" DisplayType="Show" FocusModeOnly="0" GenericCursor="MultiAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="1" Name="FlightReady" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
          <QueryTags />
        </flightReady>
      </dashboardInteractions>
      <effects __type="SDashboardEffectParams" usedEffectTag="00000000-0000-0000-0000-000000000000" />
      <engineInteractions __type="SDashboardEngineInteractionParams">
        <engineIP __type="SInteractionPointParams" AngleConstraint="structInstance_SAngleConstraint_props:2" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Engines" longRangeIP="0" MaxCursorScreenDistance="0.10000000149011612" Offset="structInstance_QuatT_props:2" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="FixedRotation" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
          <AdditionalCollisionBones />
          <HighlightBehaviors>
            <SHighlightBehaviorNode>classReference_structure:SHighlightBehaviorNode</SHighlightBehaviorNode>
          </HighlightBehaviors>
          <Interactions />
        </engineIP>
      </engineInteractions>
      <MFDs />
      <powerInteractions __type="SDashboardPowerInteractionParams">
        <powerIP __type="SInteractionPointParams" AngleConstraint="structInstance_SAngleConstraint_props:2" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Power" longRangeIP="0" MaxCursorScreenDistance="0.10000000149011612" Offset="structInstance_QuatT_props:2" OnlySelectableInLookDir="0" Radius="5.0" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="FixedRotation" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
          <AdditionalCollisionBones />
          <HighlightBehaviors>
            <SHighlightBehaviorNode>classReference_structure:SHighlightBehaviorNode</SHighlightBehaviorNode>
          </HighlightBehaviors>
          <Interactions>
            <SInteractionParams>strongPointer_structure:SInteractionParams</SInteractionParams>
          </Interactions>
        </powerIP>
      </powerInteractions>
      <quantumInterdictionInteractions __type="SDashboardQuantumInterdictionParams" quantumInterdictionIP="None" toggleJammingIP="None" />
      <seatInteractions __type="SDashboardSeatInteractionParams" cycleHUDIP="None" ejectionIP="None">
        <closeIP __type="SInteractionPointParams" AngleConstraint="structInstance_SAngleConstraint_props:2" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Door" longRangeIP="0" MaxCursorScreenDistance="0.10000000149011612" Offset="structInstance_QuatT_props:2" OnlySelectableInLookDir="0" Radius="5.0" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="FixedRotation" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
          <AdditionalCollisionBones />
          <HighlightBehaviors>
            <SHighlightBehaviorNode>classReference_structure:SHighlightBehaviorNode</SHighlightBehaviorNode>
          </HighlightBehaviors>
          <Interactions />
        </closeIP>
        <exitIP __type="SInteractionPointParams" AngleConstraint="structInstance_SAngleConstraint_props:2" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Exit" longRangeIP="0" MaxCursorScreenDistance="0.10000000149011612" Offset="structInstance_QuatT_props:2" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="FixedRotation" TextScale="1.0" UseHelperLocation="1" UseHorizontalDistance="0">
          <AdditionalCollisionBones />
          <HighlightBehaviors />
          <Interactions />
        </exitIP>
        <openIP __type="SInteractionPointParams" AngleConstraint="structInstance_SAngleConstraint_props:2" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Door" longRangeIP="0" MaxCursorScreenDistance="0.10000000149011612" Offset="structInstance_QuatT_props:2" OnlySelectableInLookDir="0" Radius="5.0" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="FixedRotation" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
          <AdditionalCollisionBones />
          <HighlightBehaviors>
            <SHighlightBehaviorNode>classReference_structure:SHighlightBehaviorNode</SHighlightBehaviorNode>
          </HighlightBehaviors>
          <Interactions />
        </openIP>
      </seatInteractions>
      <systemInteractions __type="SDashboardSystemInteractionParams" cargoIP="None" landingIP="None">
        <doorsIP __type="SInteractionPointParams" AngleConstraint="structInstance_SAngleConstraint_props:2" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Door" longRangeIP="0" MaxCursorScreenDistance="0.10000000149011612" Offset="structInstance_QuatT_props:2" OnlySelectableInLookDir="0" Radius="5.0" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="FixedRotation" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
          <AdditionalCollisionBones />
          <HighlightBehaviors>
            <SHighlightBehaviorNode>classReference_structure:SHighlightBehaviorNode</SHighlightBehaviorNode>
          </HighlightBehaviors>
          <Interactions />
        </doorsIP>
      </systemInteractions>
      <uiDescription __type="SCItemSeatDashboardUIDesc" markerConfig="00000000-0000-0000-0000-000000000000" playCommsOnLens="0" showTargetOnLens="0">
        <Screens>
          <SCItemSeatDashboardScreen __type="SCItemSeatDashboardScreen" GeomName="Screen_MFD_left" MaterialOverride="" Name="Screen_Driver_MFD_Left">
            <Position __type="SCItemSeatDashboardScreenPos" Helper="" Scale="1.0">
              <Offset __type="QuatT">
                <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
              </Offset>
            </Position>
            <Style __type="SCItemSeatDashboardScreenStyle" Template="Background" Type="MFD_4_3" />
          </SCItemSeatDashboardScreen>
          <SCItemSeatDashboardScreen __type="SCItemSeatDashboardScreen" GeomName="Screen_support_left" MaterialOverride="" Name="Screen_Driver_Support_Left">
            <Position __type="SCItemSeatDashboardScreenPos" Helper="" Scale="1.0">
              <Offset __type="QuatT">
                <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
              </Offset>
            </Position>
            <Style __type="SCItemSeatDashboardScreenStyle" Template="Background" Type="MFD_16_9" />
          </SCItemSeatDashboardScreen>
          <SCItemSeatDashboardScreen __type="SCItemSeatDashboardScreen" GeomName="Screen_support_far_left" MaterialOverride="" Name="Screen_Driver_Support_far_Left">
            <Position __type="SCItemSeatDashboardScreenPos" Helper="" Scale="1.0">
              <Offset __type="QuatT">
                <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
              </Offset>
            </Position>
            <Style __type="SCItemSeatDashboardScreenStyle" Template="Background" Type="MFD_16_9" />
          </SCItemSeatDashboardScreen>
          <SCItemSeatDashboardScreen __type="SCItemSeatDashboardScreen" GeomName="Screen_MFD_right" MaterialOverride="" Name="Screen_Driver_MFD_Right">
            <Position __type="SCItemSeatDashboardScreenPos" Helper="" Scale="1.0">
              <Offset __type="QuatT">
                <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
              </Offset>
            </Position>
            <Style __type="SCItemSeatDashboardScreenStyle" Template="Background" Type="MFD_4_3" />
          </SCItemSeatDashboardScreen>
          <SCItemSeatDashboardScreen __type="SCItemSeatDashboardScreen" GeomName="Screen_support_right" MaterialOverride="" Name="Screen_Driver_Support_Right">
            <Position __type="SCItemSeatDashboardScreenPos" Helper="" Scale="1.0">
              <Offset __type="QuatT">
                <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
              </Offset>
            </Position>
            <Style __type="SCItemSeatDashboardScreenStyle" Template="Background" Type="MFD_16_9" />
          </SCItemSeatDashboardScreen>
          <SCItemSeatDashboardScreen __type="SCItemSeatDashboardScreen" GeomName="Screen_Support_Far_Right" MaterialOverride="" Name="Screen_Driver_Support_Far_Right">
            <Position __type="SCItemSeatDashboardScreenPos" Helper="" Scale="1.0">
              <Offset __type="QuatT">
                <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
              </Offset>
            </Position>
            <Style __type="SCItemSeatDashboardScreenStyle" Template="Background" Type="MFD_16_9" />
          </SCItemSeatDashboardScreen>
          <SCItemSeatDashboardScreen __type="SCItemSeatDashboardScreen" GeomName="Screen_MFD_Radar" MaterialOverride="" Name="Screen_Driver_Radar_2d">
            <Position __type="SCItemSeatDashboardScreenPos" Helper="" Scale="1.0">
              <Offset __type="QuatT">
                <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
              </Offset>
            </Position>
            <Style __type="SCItemSeatDashboardScreenStyle" Template="Background_Radar" Type="Support_1_1" />
          </SCItemSeatDashboardScreen>
        </Screens>
      </uiDescription>
      <weaponInteractions __type="SDashboardWeaponInteractionParams" turretIP="None" weaponIP="None">
        <remoteCameraIP __type="SInteractionPointParams" AngleConstraint="structInstance_SAngleConstraint_props:2" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Remote_Turret" longRangeIP="0" MaxCursorScreenDistance="0.10000000149011612" Offset="structInstance_QuatT_props:2" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="FixedRotation" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
          <AdditionalCollisionBones />
          <HighlightBehaviors>
            <SHighlightBehaviorNode>classReference_structure:SHighlightBehaviorNode</SHighlightBehaviorNode>
          </HighlightBehaviors>
          <Interactions />
        </remoteCameraIP>
      </weaponInteractions>
    </SCItemSeatDashboardParams>
    <SInteractionLinkParams __type="DataForgeComponentParams" __polymorphicType="SInteractionLinkParams">
      <linkPlugs />
      <vehicleItemPortInteractionLinks>
        <SVehicleItemportInteractionLink __type="SVehicleItemportInteractionLink" itemPort="hardpoint_module_attach" targetInteraction="Open">
          <sourceInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_deploy_missile" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="1" Name="OpenMissiles" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </sourceInteraction>
        </SVehicleItemportInteractionLink>
        <SVehicleItemportInteractionLink __type="SVehicleItemportInteractionLink" itemPort="hardpoint_module_attach" targetInteraction="Close">
          <sourceInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_retract_missile" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="1" Name="CloseMissiles" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </sourceInteraction>
        </SVehicleItemportInteractionLink>
      </vehicleItemPortInteractionLinks>
    </SInteractionLinkParams>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="0">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="objects/vehicles/anvl/ballista/anvl_ballista_dashboard.cga" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
        </Geometry>
        <SubGeometry />
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants />
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityRigidPhysicsControllerParams" BlocksNavigation="1" breakableParams="None" buoyancyParams="None" Damping="0.009999999776482582" DampingFreefall="0.05000000074505806" EnableCrossGridChecks="0" gameCollisionClass="None" grid="None" Kinematic="0" Mass="1.0" maxLoggedCollisions="1" NeverAffectTriggers="0" physicalizeAllSlots="1" PushableByPlayers="1" Resting="0" UseManualGridTransition="0">
        <temperature __type="EntityTemperature" enable="0" initialTemperature="-1.0" internalTemperatureGeneration="0.0" />
      </PhysType>
    </SEntityPhysicsControllerParams>
    <SAnimationControllerParams __type="DataForgeComponentParams" __polymorphicType="SAnimationControllerParams" AnimationController="" AnimationDatabase="" defaultAnimation="None">
      <AnimationControlActorIKs>
        <AnimationControlActorIK __type="AnimationControlActorIK" alignEndEffector="1" blendTime="0.0" bone="IK_hand_right_driver" limb="RgtArm05" />
        <AnimationControlActorIK __type="AnimationControlActorIK" alignEndEffector="1" blendTime="0.0" bone="IK_hand_left_driver" limb="LftArm05" />
        <AnimationControlActorIK __type="AnimationControlActorIK" alignEndEffector="1" blendTime="0.0" bone="IK_foot_left_driver" limb="LftLeg02" />
        <AnimationControlActorIK __type="AnimationControlActorIK" alignEndEffector="1" blendTime="0.0" bone="IK_foot_right_driver" limb="RgtLeg02" />
      </AnimationControlActorIKs>
      <AnimationJointControls __type="AnimationJointControl">
        <animations />
        <movements>
          <AnimationJointMovement __type="AnimationJointMovement" joint="pedal_right">
            <rotations>
              <AnimationJointLinearRotation __type="AnimationJointBaseRotation" __polymorphicType="AnimationJointLinearRotation" fromEndValus="0.0" fromStartValus="1.0" toEndAngle="0.0" toStartAngle="-15.0">
                <variable __type="AnimationScalarVariable" __polymorphicType="AnimationPlayerInputVariable" defaultValue="0.0" name="VehiclePower">
                  <defaultInterpolation __type="AnimationVariableInterpolation" timeRange="1.0" type="Linear" />
                  <range __type="Range" maximum="1.0" minimum="-1.0" />
                </variable>
              </AnimationJointLinearRotation>
              < />
              < />
            </rotations>
            <translations>
              < />
              < />
              < />
            </translations>
          </AnimationJointMovement>
          <AnimationJointMovement __type="AnimationJointMovement" joint="steering_wheel">
            <rotations>
              < />
              <AnimationJointLinearRotation __type="AnimationJointBaseRotation" __polymorphicType="AnimationJointLinearRotation" fromEndValus="1.0" fromStartValus="-1.0" toEndAngle="30.0" toStartAngle="-30.0">
                <variable __type="AnimationScalarVariable" __polymorphicType="AnimationPlayerInputVariable" defaultValue="0.0" name="VehicleYaw">
                  <defaultInterpolation __type="AnimationVariableInterpolation" timeRange="1.0" type="Linear" />
                  <range __type="Range" maximum="1.0" minimum="-1.0" />
                </variable>
              </AnimationJointLinearRotation>
              < />
            </rotations>
            <translations>
              < />
              < />
              < />
            </translations>
          </AnimationJointMovement>
          <AnimationJointMovement __type="AnimationJointMovement" joint="pedal_left">
            <rotations>
              <AnimationJointLinearRotation __type="AnimationJointBaseRotation" __polymorphicType="AnimationJointLinearRotation" fromEndValus="0.0" fromStartValus="-1.0" toEndAngle="0.0" toStartAngle="-15.0">
                <variable __type="AnimationScalarVariable" __polymorphicType="AnimationPlayerInputVariable" defaultInterpolation="structInstance_AnimationVariableInterpolation_props:2" defaultValue="0.0" name="VehiclePower" range="structInstance_Range_props:2" />
              </AnimationJointLinearRotation>
              < />
              < />
            </rotations>
            <translations>
              < />
              < />
              < />
            </translations>
          </AnimationJointMovement>
        </movements>
        <variables>
          <AnimationPlayerInputVariable __type="AnimationScalarVariable" __polymorphicType="AnimationPlayerInputVariable" defaultInterpolation="structInstance_AnimationVariableInterpolation_props:2" defaultValue="0.0" name="VehicleYaw" range="structInstance_Range_props:2" />
          <AnimationPlayerInputVariable __type="AnimationScalarVariable" __polymorphicType="AnimationPlayerInputVariable" defaultInterpolation="structInstance_AnimationVariableInterpolation_props:2" defaultValue="0.0" name="VehiclePower" range="structInstance_Range_props:2" />
        </variables>
      </AnimationJointControls>
      <AnimationTasks />
      <ScopeContexts />
      <Tags />
    </SAnimationControllerParams>
    <SCItemUIViewOwnerParams __type="DataForgeComponentParams" __polymorphicType="SCItemUIViewOwnerParams" dashboardCanvasConfig="00000000-0000-0000-0000-000000000000" element="00000000-0000-0000-0000-000000000000" loadDistance="30.0" />
    <UIAudioComponentEntityComponentParams __type="DataForgeComponentParams" __polymorphicType="UIAudioComponentEntityComponentParams" dialogueContext="00000000-0000-0000-0000-000000000000" offset="None" UIAudioDef="65f9fe57-1163-437b-9049-ff580a90bdf9" useEntityClass="00000000-0000-0000-0000-000000000000">
      <videoAudioPauseTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
      <videoAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
      <videoAudioResumeTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
    </UIAudioComponentEntityComponentParams>
    <SItemPortContainerComponentParams __type="DataForgeComponentParams" __polymorphicType="SItemPortContainerComponentParams" PortFlags="" PortTags="" RequiredItemTags="">
      <InternalResourceLinks />
      <masterController __type="SItemPortMasterControllerParams">
        <Pipes />
      </masterController>
      <Ports>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="hardpoint_cockpit_radar" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="hardpoint_cockpit_radar" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections>
            <SItemPortConnectionParam __type="SItemPortConnectionParam" Klass="Power" Name="MainPower" />
            <SItemPortConnectionParam __type="SItemPortConnectionParam" Klass="Heat" Name="MainHeat" />
          </Connections>
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types>
            <SItemPortDefTypes __type="SItemPortDefTypes" Type="Display">
              <SubTypes />
            </SItemPortDefTypes>
          </Types>
        </SItemPortDef>
      </Ports>
    </SItemPortContainerComponentParams>
    <ItemControlComponentParams __type="DataForgeComponentParams" __polymorphicType="ItemControlComponentParams" throttleParams="None" turnedOnByDefault="0" />
    <ItemControllerComponentParams __type="DataForgeComponentParams" __polymorphicType="ItemControllerComponentParams" operatorModeDefinitionsOverride="00000000-0000-0000-0000-000000000000" />
  </Components>
  <StaticEntityClassData />
  <tags />
</EntityClassDefinition.ANVL_Ballista_SCItem_Dashboard_Driver>